Debian Bug report logs - #624504
aqsis: FTBFS with boost 1.46

version graph

Package: src:aqsis; Maintainer for src:aqsis is Manuel A. Fernandez Montecelo <mafm@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Fri, 29 Apr 2011 06:15:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 624888

Found in version aqsis/1.6.0-3

Fixed in version aqsis/1.6.0-4

Done: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3295033&group_id=25264&atid=383970

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#624504; Package src:aqsis. (Fri, 29 Apr 2011 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 29 Apr 2011 06:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: aqsis: FTBFS with boost 1.46
Date: Fri, 29 Apr 2011 09:11:04 +0300
[Message part 1 (text/plain, inline)]
Source: aqsis
Version: 1.6.0-3
Severity: important
Tags: patch

Hi,

Since a while ago, libboost*-dev packages point to 1.46 which has had some
functions deprecated esp. in the Filesystem module([1]). This broke a number
of packages including aqsis. The package has been tested to build with the
new boost 1.46 and it fails (log:[2]).

This patch includes an #ifdef to check for either version, it has been
checked to build fine on armhf with boost 1.46 fine. In case you want to
dismiss support for the older versions entirely, you could just dismiss the
#ifdefs, or I could prepare a new patch if you like.

Regards

Konstantinos

[1]: http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html
[2]: http://buildd.debian-ports.org/status/fetch.php?pkg=aqsis&arch=armhf&ver=1.6.0-3%2Bb1&stamp=1303337752

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[aqsis_boost1.46.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#624504; Package src:aqsis. (Fri, 29 Apr 2011 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 29 Apr 2011 17:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 624504@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 624504@bugs.debian.org
Subject: Re: aqsis: FTBFS with boost 1.46
Date: Fri, 29 Apr 2011 19:11:38 +0200
Hello Konstantinos,

I think that your patch is fine, except for the bit here:

+#if !defined(BOOST_FILESYSTEM_VERSION) || BOOST_FILESYSTEM_VERSION == 2
    QGetRenderContext()->parseRibStream(rcFile, homeRcPath2.file_string());
+#else
+#endif

The #else is missing this, I guess:
  QGetRenderContext()->parseRibStream(rcFile, homeRcPath2.string());

Is that right?  Other than that, I'll try to speak with upstream and upload a new revision soon, with these changes enabled.

Thank you very much.  Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>




Severity set to 'serious' from 'important' Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Fri, 27 May 2011 13:15:06 GMT) Full text and rfc822 format available.

Merged 624504 624888. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Fri, 27 May 2011 13:15:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3295033&group_id=25264&atid=383970'. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Fri, 27 May 2011 16:21:03 GMT) Full text and rfc822 format available.

Reply sent to manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo):
You have taken responsibility. (Fri, 27 May 2011 17:21:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 27 May 2011 17:21:03 GMT) Full text and rfc822 format available.

Message #21 received at 624504-close@bugs.debian.org (full text, mbox):

From: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)
To: 624504-close@bugs.debian.org
Subject: Bug#624504: fixed in aqsis 1.6.0-4
Date: Fri, 27 May 2011 17:18:01 +0000
Source: aqsis
Source-Version: 1.6.0-4

We believe that the bug you reported is fixed in the latest version of
aqsis, which is due to be installed in the Debian FTP archive:

aqsis-examples_1.6.0-4_all.deb
  to main/a/aqsis/aqsis-examples_1.6.0-4_all.deb
aqsis_1.6.0-4.debian.tar.gz
  to main/a/aqsis/aqsis_1.6.0-4.debian.tar.gz
aqsis_1.6.0-4.dsc
  to main/a/aqsis/aqsis_1.6.0-4.dsc
aqsis_1.6.0-4_amd64.deb
  to main/a/aqsis/aqsis_1.6.0-4_amd64.deb
libaqsis-dev_1.6.0-4_amd64.deb
  to main/a/aqsis/libaqsis-dev_1.6.0-4_amd64.deb
libaqsis1_1.6.0-4_amd64.deb
  to main/a/aqsis/libaqsis1_1.6.0-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624504@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> (supplier of updated aqsis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 May 2011 21:50:00 +0200
Source: aqsis
Binary: aqsis aqsis-examples libaqsis1 libaqsis-dev
Architecture: source amd64 all
Version: 1.6.0-4
Distribution: unstable
Urgency: low
Maintainer: David Martínez Moreno <ender@debian.org>
Changed-By: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Description: 
 aqsis      - 3D rendering solution adhering to the RenderMan(R) standard, bina
 aqsis-examples - 3D rendering solution adhering to the RenderMan(R) standard, exam
 libaqsis-dev - 3D rendering solution adhering to the RenderMan(R) standard, deve
 libaqsis1  - 3D rendering solution adhering to the RenderMan(R) standard, shar
Closes: 624504
Changes: 
 aqsis (1.6.0-4) unstable; urgency=low
 .
   * Bump Standards-Version to 3.9.2 (no changes needed)
   * Include patch to avoid FTBFS with boost 1.46 (Closes: #624504)
   * Include patch to avoid FTBFS with missing NULL
   * Adding Replace and Breaks for aqsis-examples package on old aqsis-data
     package, to avoid having the old package hanging around
   * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
     only acting when deviating from auto behaviour
Checksums-Sha1: 
 a6eefeb5cc9539af9d78e2711b1d41521763599e 1678 aqsis_1.6.0-4.dsc
 ed8919b7f43103bbd9d402edbcdd8ba5b21c08e3 15969 aqsis_1.6.0-4.debian.tar.gz
 ffeed426a939a02a3ac7e9fa2f9a1a78a886a287 472702 aqsis_1.6.0-4_amd64.deb
 8cd0f8bcae102dfae161900ff2afbedb28943e78 371038 aqsis-examples_1.6.0-4_all.deb
 e7889b899de28be6022fb3144842ef7fc23578e6 2405352 libaqsis1_1.6.0-4_amd64.deb
 71585692c68c654d7d3d409d8fe5c85ea4b362f8 25638 libaqsis-dev_1.6.0-4_amd64.deb
Checksums-Sha256: 
 3c8a8b502da737a8a67f4ababd4d31746b7bc23d54b0242597e2fde2b8450d75 1678 aqsis_1.6.0-4.dsc
 752a626f261bb01615b748fdc5be39b5777e5fddade82c54caf7790f5c9c3027 15969 aqsis_1.6.0-4.debian.tar.gz
 28db3b51467c46f138ffc28eab806ad0fff7812cd2180e5679576e494433374c 472702 aqsis_1.6.0-4_amd64.deb
 bb824354282204db2c20b10d44ae65617745d1767db98d1d8bf54a4d63cb3e87 371038 aqsis-examples_1.6.0-4_all.deb
 1e7975d429ac99a08864747ed4aab61e745823d33339b5fd9f5b73d39a81e83e 2405352 libaqsis1_1.6.0-4_amd64.deb
 4352c6cdee51b5cc03012e8b1a0b0f436d042b10d6114520819c1e29633a88f4 25638 libaqsis-dev_1.6.0-4_amd64.deb
Files: 
 f1d41fa8f54fc8e0cc2f6603b3893646 1678 graphics optional aqsis_1.6.0-4.dsc
 03be85ac0b19791ffa87bf7f634b6ce4 15969 graphics optional aqsis_1.6.0-4.debian.tar.gz
 8c52de6234650fb14464f23b2e955af5 472702 graphics optional aqsis_1.6.0-4_amd64.deb
 df0ce52ff420ad62247f9fd53980e9c4 371038 graphics optional aqsis-examples_1.6.0-4_all.deb
 c09c835e54a1866b013b39ff0a618484 2405352 libs optional libaqsis1_1.6.0-4_amd64.deb
 68e13c15894518ef4f3c280d4c7542f3 25638 libdevel optional libaqsis-dev_1.6.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3f2H8ACgkQK4B7+/vnTprSbwCgt/ezAJMwjIRB128SmwJIOIni
CiIAoKfMIiatEBWc9/FIo5qZvqh7t7xh
=MOBw
-----END PGP SIGNATURE-----





Reply sent to manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo):
You have taken responsibility. (Fri, 27 May 2011 17:21:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 27 May 2011 17:21:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jun 2011 07:31:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:24:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.